@import url("banner.css");
@import url("cortes.css");
@import url("diferenciais.css");
@import url("sustentabilidade.css");
@import url("depoimentos.css");
@import url("sobre.css");
@import url("cotacao.css");
@import url("responsivo.css");

:root {
  --primary: #000000;
  --secondary: #310c18;
  --success: #c18150;
  --black: #000000;
  --white: #ffffff;
  --neutral: #4b2b30;

  --light: #b3a698;
  --color-in-neutral: #efebe7;
  --bg-icon: rgba(193, 129, 80, 0.15);

  --error: #ff0000;
  --text-muted: #d4ccc4;
  --font-base: "Montserrat", sans-serif;
  --font-display: "Playfair Display", serif;

  --small-font: 1rem;
}

*,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: var(--font-base);
  scroll-behavior: smooth;
}

/* Estilos Texto */

h1 {
  text-align: left;
  color: var(--color-in-neutral);
  font-family: var(--font-display);
  font-size: 48px;
  font-weight: 700;
}

h2 {
  text-align: center;
  color: var(--neutral);
  font-family: var(--font-display);
  font-size: 48px;
  font-weight: 700;
}

h3 {
  text-align: center;
  color: var(--success);

  font-family: var(--font-base);
  font-size: var(--small-font);
  font-weight: 500;

  text-transform: uppercase;
  letter-spacing: 0.5em;
  line-height: 1.5em;
}

h4 {
  color: var(--color-in-neutral);
  font-family: var(--font-display);
  font-size: 1.2rem;
  font-style: normal;
  font-weight: 600;
}

h5 {
  font-family: var(--font-display);
  font-size: 1.2rem;
}

p {
  color: var(--light);
  font-size: var(--small-font);
  line-height: 1.8em;
  text-align: center;
}

input.erro {
  border-color: var(--error);
}

span.erro {
  color: var(--error);
}

input,
.button,
button,
textarea {
  width: 100%;
  padding: 1em;
  outline: 0;

  border-radius: 4px;
  border: 1px solid var(--neutral);
  background: var(--neutral);

  color: var(--color-in-neutral);

  &::placeholder {
    color: var(--light);
  }
}

.button,
button {
  width: auto;
  padding: 1em 2em;

  background-color: var(--success);
  border-color: var(--success);
  color: var(--secondary);

  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 0.05em;
  cursor: pointer;
  transition: 200ms ease-in-out;

  &:hover {
    scale: 1.01;
  }
}

/* Estruturas */

.container {
  padding: 2em;
  margin: 0 auto;
  max-width: 1400px;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4em;
}

.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2em;

  & .card {
    flex-basis: 320px;
    flex-shrink: 1;
    flex-grow: 1;

    background-color: var(--neutral);
    box-shadow: 0 4px 28px 10px rgba(0, 0, 0, 0.2);
    border-radius: 4px;
    border: 1px solid var(--neutral);
  }
}

bar {
  display: block;
  height: 0.2em;
  width: 10%;
  background: linear-gradient(
    90deg,
    rgba(193, 129, 80, 0) 0%,
    var(--success) 50%,
    rgba(193, 129, 80, 0) 100%
  );
}

.container-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1em;
}

.logo {
  max-height: 4em;
}

/* Header */

header {
  width: 100%;
  background-color: rgb(49, 12, 24, 0.9);
  border-bottom: 1px solid rgba(93, 50, 64, 0.3);
  backdrop-filter: blur(6px);
  position: fixed;
  z-index: 2;
}

:is(header, footer) .container {
  padding: 1em 2em;
  justify-content: space-between;
  flex-direction: row;
  flex-wrap: wrap;
}

header a:last-child {
  padding: 0.5em 1em;
  border-radius: 0.2em;

  color: var(--secondary);
  background-color: var(--success);
}

nav {
  display: flex;
  gap: 1.5em;
  align-items: center;

  & a {
    text-decoration: none;

    color: var(--light);
    font-size: var(--small-font);
    font-weight: 500;
  }
}

/* Section */

section:not(#banner) {
  padding: 4em 0;
}

/* Modo Escuro */
section:nth-child(2n) {
  background-color: var(--secondary);
  & h2 {
    color: var(--color-in-neutral);
  }
}

/* Footer */

footer {
  background-color: var(--secondary);

  & .container {
    max-width: 1000px;
  }

  & .logo {
    max-height: 3rem;
  }

  & p {
    font-size: 10px;
    color: var(--light);
  }

  & nav a {
    font: var(--small-font);
  }
}
